
import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/website/product/${url}`, ...arg)
/**
 * 硬件产品控制器
 */
export default {
	// 获取分页
	page(data) {
		return request('page', data, 'get')
	},
	// 获取列表
	list(data) {
		return request('list', data, 'get')
	},
	// 提交表单 edit为true时为编辑，默认为新增
	save(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除
	deleteData(data) {
		return request('delete', data)
	},
	// 获取详情
	detail(data) {
		return request('detail', data, 'get')
	},
}
